# 
Summary:	hex terminal
Summary(pl):	Hex terminal 
Name:		freetrans
Version:	0.0.2
Release:	1
Epoch:		1
License:	GPL
Group:		Utilites/Console
Source0:	http://www.podlesie.net/~krzysiek/freetrans/%{name}-%{version}.tar.bz2
# Source0-md5:	57da3c38f8e06589699548a34d5a5d07
URL:		http://www.podlesie.net/~krzysiek/freetrans
BuildRequires:	autoconf >= 2.59
BuildRequires:	ncurses-devel
BuildRequires:	automake >= 1:1.8
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_bindir		/bin
%define		_libexecdir	/sbin

%description
freetrans is a simple hex terminal - terminal for binary protocols.

It supports file, serial, UDP and TCP connections. 

%description -l pl
freetrans to prosty terminal uywajcy systemu szesnastkowego
ktry moe by uywany jako terminal dla rnego rodzaju protok
binarnych.

freetrans obsuguje poczenia po pliku, porcie szeregowym UDP oraz TCP.

%prep
%setup -q

rm -f po/stamp-po

%build
%{__aclocal}
%{__autoconf}
%{__automake} -a
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install debug.1 $RPM_BUILD_ROOT%{_mandir}/man1
# bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/*
# %{_mandir}/man1/*
# %lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
